header {
    background-color: #2571B7;
    position: fixed;
    z-index: 20;
    width: 100%;
    padding: 20px 0;
}

header .menuWrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .hamburguerIcon {
    height: 3px;
    background-color: white;
    width: 30px;
    position: relative;
}

header .hamburguerIcon::after {
    height: 3px;
    background-color: white;
    content: "";
    width: 30px;
    position: absolute;
    bottom: 8px;
}

header .hamburguerIcon::before {
    content: "";
    height: 3px;
    background-color: white;
    width: 30px;
    position: absolute;
    top: 8px;
}

header .menuButton{
    color: white;
    font-size: 16px;
    padding: 5px 10px;
    text-decoration: none;
}

header .menuButton:hover{
    background-color: #002050;
}

header .menuLogo{
    width: 100%;
    text-align: center;
    margin-bottom: 25px;
}

header .menuList{
    position: absolute;
    transform: translateX(-400%);
    transition: ease-in-out;
    transition-duration: 0.3s;
    background-color: #2571B7;
    width: 60%;
    display: flex;
    justify-content: center;
    top: 66px;
    flex-wrap: wrap;
    z-index: 5;
    align-items: flex-start;
    padding: 40px 0 40px 20px;
}

header .menuOpen{
    transform: none;

}

header .menuList .menuItem{
    width: 100%;
    padding: 15px 0;
    margin-right: 20px;
}

header .menuList .imageLogo{
    margin-right: 20px;
}

@media(min-width:1024px){
    header{
        display: flex;
        justify-content: space-between;
        
    }
    
    header .hamburguerIcon{
        display: none;
    }

    header .menuLogo{
        width: max-content;
        margin-bottom: 0;
    }

    header .menuList{
        position: relative;
        transform: none;
        top: 0;
        flex-wrap: nowrap;
        order: 1;
        align-items: center;
        margin-left: 80px;
        width: 70%;
        justify-content: space-between;
        padding: 0;
    }

    header .menuWrapper{
        order: 2;
        margin: 0 80px 0 0;
    }

    header .menuItem{
        margin-left: 20px;
        width: max-content;
    }

    header .ulClass{
        display: flex;
        align-items: center;
    }
}

